Skip to content
Thyme Docs

Executions

List executable executions

GET/api/v1/executables/{executableId}/executions

Required scope: executions:read.

Path Parameters

executableIdRequired
string

Query Parameters

limit
integer·min 1·max 200·default 50
cursor
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

List project executions

GET/api/v1/executions

Required scope: executions:read.

Query Parameters

projectIdRequired
string
status
string
Values
pendingrunningsimulatingsubmittedconfirmed
limit
integer·min 1·max 200·default 50
cursor
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Get execution

GET/api/v1/executions/{executionId}

Required scope: executions:read.

Path Parameters

executionIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses

Get execution logs

GET/api/v1/executions/{executionId}/logs

Required scope: executions:read.

Path Parameters

executionIdRequired
string

Header Parameters

X-Workspace-Id
string

Required for an unbound key; a management credential is already workspace-bound.

Responses